package com.example.ghjgpython.mapper;

import com.example.ghjgpython.dao.Photo;
import com.example.ghjgpython.dao.PhotoByType;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Repository
public interface ShipRecognitionMapper {
    public List<Photo> getPhotos(@Param("toDate") Date toDate, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    public  String getTest();

    List<PhotoByType> getFlagPhoto(@Param("startDate") Date startDate, @Param("endDate") Date endDate, @Param("type") Integer type);

    List<PhotoByType> getPhotoNew(@Param("startDate") Date startDate, @Param("endDate") Date endDate, @Param("type") Integer type);

    List<PhotoByType> getDayPhoto(@Param("startDate")Date startDate, @Param("endDate")Date endDate);

    PhotoByType getNeedPhoto(@Param("eventCode") String string);
}
